#!/bin/bash

#$ -S /bin/bash

#$ -l h_rt=72:00:00
#$ -l h_vmem=6G

#$ -pe openmpi-orte-20 20-1000

#$ -o /work/$USER/$JOB_NAME-$JOB_ID.log
#$ -j y

module load openmpi/gcc

export PSM_RANKS_PER_CONTEXT=4

MAP=$1

[[ -f $MAP ]] || {
  echo "error: map_file parameter is no file" >&2
  echo "syntax: qsub $0 map_file" >&2
  exit 1
}

mpirun -np $NSLOTS \
  ~/DrawArea/DrawArea-mpi \
  -o /work/$USER/${JOB_NAME:-DrawArea}-${JOB_ID:-$(date +%s)}.pgm \
  -l 28800 \
  -p 100 \
  $MAP
