/*********************************************************************

    Copyright 2016, Michael Steinert

    This file is part of DrawArea (Dijkstra Routing Algorithm Which
    Ascertains REachable Areas).

    DrawArea is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DrawArea is distributed WITHOUT ANY WARRANTY; without even the implied
    warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with DrawArea.  If not, see <http://www.gnu.org/licenses/>.

***********************************************************************/

#include "DrawArea.h"

// constructor (unneccessary but just for completeness)
ClosedList::ClosedList() {}

// destructor (see constructor)
ClosedList::~ClosedList() {}

// add MapPoint to list
void ClosedList::Push(Node* node)
{
	v.insert(node);
}

// get size of list
size_t ClosedList::Size()
{
	return v.size();
}

// check if list is empty
bool ClosedList::Empty()
{
	return v.empty();
}

// check if MapPoint is contained in list
bool ClosedList::Contains(Node* node)
{
	return v.find(node)!=v.end();
}
